Does BoxScore II require other software?

BoxScore II requires z/OS, DB2, and Internet Explorer 11 or higher. See the product specifications for more information.

Strategic partnerships:

IBM Business Partner IBM Destination z